<!DOCTYPE ISTRUZIONIDB [
   <!ELEMENT ISTRUZIONIDB (ISTRUZIONE+)>
   <!ELEMENT ISTRUZIONE (
      CODICE+,
      TABELLA+,
      DATACREAZIONEISTRUZIONE+,
      TIPOISTRUZIONE+,
      SQL+,
      COMMENTO+,
      VERIFICA+,
      CONCATENAMENTI*)
   >
   <!ELEMENT CODICE (#PCDATA)>
   <!ELEMENT TABELLA (#PCDATA)>
   <!ELEMENT DATACREAZIONEISTRUZIONE (#PCDATA)>
   <!ELEMENT TIPOISTRUZIONE (#PCDATA)>
   <!ELEMENT SQL (#PCDATA)>
   <!ELEMENT COMMENTO (#PCDATA)>
   <!ELEMENT VERIFICA (#PCDATA)>
   <!ELEMENT CONCATENAMENTI (ISTRUZIONECONC+)>
   <!ELEMENT ISTRUZIONECONC (#PCDATA)>

]>

<ISTRUZIONIDB>
   <ISTRUZIONE>
      <CODICE>1</CODICE>
      <TABELLA>FABBCLI</TABELLA>
      <DATACREAZIONEISTRUZIONE>15/10/2010</DATACREAZIONEISTRUZIONE>
      <TIPOISTRUZIONE>CreaTabella</TIPOISTRUZIONE>
      <SQL>
CREATE TABLE FABBCLI (
ID INTEGER NOT NULL,
CODICEARTICOLO VARCHAR(20),
ESTENSIONECODICE VARCHAR(3),
DATACONSEGNACLI DATE,
DATAORDINECLI DATE,
LINEAORDINECLI VARCHAR(8),
NUMEROORDINECLI VARCHAR(8),
CODICECLIENTE VARCHAR(10),
LINEAORDINEFOR VARCHAR(8),
DATAORDINEFOR DATE,
NUMEROORDINEFOR VARCHAR(8),
DATACONSEGNAFOR DATE,
TIPOSCHEDULAZIONE VARCHAR(1),
CONSTRAINT FABBCLI_CHIAVEPRIMARIA PRIMARY KEY(ID)
);
      </SQL>
      <COMMENTO>
Creazione tabella FABBCLI
      </COMMENTO>
      <VERIFICA>TestEsisteTabella=FABBCLI</VERIFICA>
   </ISTRUZIONE>
   <ISTRUZIONE>
      <CODICE>2</CODICE>
      <TABELLA>-</TABELLA>
      <DATACREAZIONEISTRUZIONE>15/10/2010</DATACREAZIONEISTRUZIONE>
      <TIPOISTRUZIONE>CreaGeneratore</TIPOISTRUZIONE>
      <SQL>
CREATE GENERATOR IDFABBCLICOUNTER;
      </SQL>
      <COMMENTO>
Creazione generatore IDFABBCLICOUNTER
      </COMMENTO>
      <VERIFICA>TestEsisteGeneratore=IDFABBCLICOUNTER</VERIFICA>
   </ISTRUZIONE>
   <ISTRUZIONE>
      <CODICE>3</CODICE>
      <TABELLA>ANTEPORDCLI</TABELLA>
      <DATACREAZIONEISTRUZIONE>15/10/2010</DATACREAZIONEISTRUZIONE>
      <TIPOISTRUZIONE>CreaTabella</TIPOISTRUZIONE>
      <SQL>
CREATE TABLE ANTEPORDCLI (
CODICEARTICOLO VARCHAR(20),
ESTENSIONECODICE VARCHAR(3),
DATACONSEGNACLI DATE,
DATAORDINECLI DATE,
LINEAORDINECLI VARCHAR(8),
NUMEROORDINECLI VARCHAR(8),
CODICECLIENTE VARCHAR(10),
S SMALLINT);
      </SQL>
      <COMMENTO>
Creazione tabella ANTEPORDCLI
      </COMMENTO>
      <VERIFICA>TestEsisteTabella=ANTEPORDCLI</VERIFICA>
   </ISTRUZIONE>
</ISTRUZIONIDB>
